UnknownFlagException (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.UnknownFlagException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class UnknownFlagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.martiansoftware.jsap.JSAPException
                  com.martiansoftware.jsap.UnknownFlagException

All Implemented Interfaces:
  Serializable

    public class UnknownFlagException

extends JSAPException

An exception indicating that a unknown flag has been specified.

Author:
  Marty Lamb
See Also:
  `Flagged`, Serialized Form

Constructor Summary
`UnknownFlagException(Character flag)` Creates a new UnknownFlagException referencing the specified parameter.
`UnknownFlagException(String flag)` Creates a new UnknownFlagException referencing the specified parameter.

Method Summary
`String` | `getFlag()` Returns the unknown flag that was encountered.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownFlagException

    public UnknownFlagException(String flag)

  Creates a new UnknownFlagException referencing the specified parameter.

  Parameters:
    `flag` - the unknown flag that was encountered.

### UnknownFlagException

    public UnknownFlagException(Character flag)

  Creates a new UnknownFlagException referencing the specified parameter.

  Parameters:
    `flag` - the unknown flag that was encountered.

Method Detail

### getFlag

    public String getFlag()

  Returns the unknown flag that was encountered.

  Returns:
    the unknown flag that was encountered.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap